Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_unmount Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_UNMOUNT_BEGIN. More...

`#include <wimlib.h>`

## Data Fields

const wimlib_tchar * | mountpoint
| Path to directory being unmounted.
const wimlib_tchar * | mounted_wim
| Path to WIM file being unmounted.
uint32_t | mounted_image
| 1-based index of image being unmounted.
uint32_t | mount_flags
| Flags that were passed to wimlib_mount_image() when the mountpoint was set up.
uint32_t | unmount_flags
| Flags passed to wimlib_unmount_image().

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_UNMOUNT_BEGIN.

## Field Documentation

## mountpoint

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_unmount::mountpoint

Path to directory being unmounted.

## mounted_wim

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_unmount::mounted_wim

Path to WIM file being unmounted.

## mounted_image

uint32_t wimlib_progress_info::wimlib_progress_info_unmount::mounted_image

1-based index of image being unmounted.

## mount_flags

uint32_t wimlib_progress_info::wimlib_progress_info_unmount::mount_flags

Flags that were passed to wimlib_mount_image() when the mountpoint was set up.

## unmount_flags

uint32_t wimlib_progress_info::wimlib_progress_info_unmount::unmount_flags

Flags passed to wimlib_unmount_image().

The documentation for this struct was generated from the following file:

- wimlib.h